Requirements and Supported Versions

Cloud Providers

Altus Director has native support for Amazon Web Services (AWS), Google Cloud Platform, and Microsoft Azure.

Each Altus Director release embeds the current plug-in for supported cloud providers, but a newer plug-in might have been posted on the Cloudera GitHub site subsequent to the Altus Director release. To check for the latest version, click the appropriate link:

Altus Director Service Provider Interface (SPI)

The Altus Director SPI defines an open source Java interface that plug-ins implement to add support for additional cloud providers to Altus Director. For more information, see the README.md file in the SPI Altus Director GitHub repository.

Supported Software and Distributions

The table below lists software requirements, recommendations, and supported versions for resources used with Altus Director.

  Altus Director Cloudera Manager and CDH
Operating Systems (64-bit only)

RHEL and CentOS 6.7, 6.8, 7.2, 7.4, 7.5

Ubuntu 14.04, 16.04, 18.04

For AWS: RHEL and CentOS 6.8, 6.9, 7.2, 7.3, 7.4, 7.5, 7.6

For Google Cloud Platform: RHEL and CentOS 6.8, 6.9, 7.2, 7.3, 7.4, 7.5, 7.6

For Microsoft Azure: RHEL and CentOS 6.8, 6.9, 7.2, 7.3, 7.4, 7.5, 7.6

Notes:
  • RHEL 7.5 is supported for Cloudera Manager and CDH 6.0 and higher.
  • RHEL 7.4 is supported only for Cloudera Manager and CDH 5.11 and higher.
  • RHEL 7.3 is supported only for Cloudera Manager and CDH 5.10 and higher.
  • RHEL 7.2 is supported only for Cloudera Manager and CDH 5.7 and higher.
  • AWS supports Spot instances only on Centos operating systems, not on RHEL.
Oracle Java SE Development Kit (JDK)

Oracle JDK version 8

For download and installation information, see Java SE Downloads.

Oracle JDK version:
  • Cloudera Manager and CDH 5.x: JDK 7 or 8.
  • Cloudera Manager and CDH 6: JDK 8.
For more information about deploying Java in Altus Director-managed clusters, see Deploying Java on Cluster Instances.
OpenJDK

OpenJDK version 8

For download and installation information, see OpenJDK Installation.

OpenJDK version:
  • Cloudera Manager and CDH 5.16.x: JDK 7 or 8.
  • Cloudera Manager and CDH 6.x: JDK 8.
For more information about deploying Java in Altus Director-managed clusters, see Deploying Java on Cluster Instances.
Default Database

Embedded H2 database (not recommended for production use)

Recommended size: 10 GB.
Embedded PostgreSQL Database (not recommended for production use)
Supported Databases

MySQL 5.5, 5.6, 5.7

MariaDB 5.5

Azure Database for MySQL 5.7

Recommended size: 10 GB.

MySQL 5.5, 5.6, 5.7

MariaDB 5.5

Azure Database for MySQL 5.7

PostgreSQL 8.1, 8.3, 8.4, 9.1, 9.2, 9.3, 9.4, 9.5, 9.6

Resource Requirements

The table below lists requirements for resources used with Altus Director.

  Altus Director Cloudera Manager and CDH
CPU 2 4
RAM 3.75 GB 64 GB
Disk 8 GB 500 GB
Recommended AWS instance c3.large or c4.large

Cloudera Manager: m4.xlarge or m4.4xlarge

Recommended Google Cloud Platform instance n1-standard-2 n1-highmem-4 or n1-highmem-8
Recommended Microsoft Azure instance Standard_D3 or larger
The following Azure instance types are supported:
  • Standard_D12_v2
  • Standard_D13_v2
  • Standard_D14_v2
  • Standard_D15_v2
  • Standard_DS12_v2
  • Standard_DS13_v2
  • Standard_DS14_v2
  • Standard_DS13
  • Standard_DS14
  • Standard_DS15_v2
  • Standard_GS4
  • Standard_GS5
In addition, the following series of instance types are supported:

Supported Cloudera Manager and CDH Versions

  • Altus Director 6.2 can install any version of Cloudera Manager 6 with a supported version of the CDH 6 parcel.
  • Altus Director 6.2 can install Cloudera Manager 5.7 (and higher) and the corresponding supported versions of CDH. Use of CDH packages is not supported.
  • Altus Director 2.x cannot be used to install Cloudera Manager 6.x and CDH 6.x.
If you are using Altus Director 6.2 to deploy Cloudera Manager and CDH, the latest released version of Cloudera Manager 6.2.x and CDH 6.2.x is installed by default. To use any other version of Cloudera Manager or CDH, follow the instructions for installing non-default versions of Cloudera Manager and CDH in the Getting Started section for your cloud provider:

Cloudera Data Science Workbench Support

Altus Director can deploy Cloudera Data Science Workbench on clusters running Cloudera Manager 5.13.1 (and higher 5.x versions).

Cloudera Data Science Workbench (1.4.x and lower) is not currently supported with Cloudera Manager 6.0.0 and CDH 6.0.0. Consequently, you cannot use Altus Director 6 to deploy Cloudera Data Science Workbench on a C6 cluster. Cloudera Data Science Workbench will be supported with Cloudera Enterprise 6 in a future release.

Networking and Security Requirements

Altus Director recommends the following inbound ports to be open:
  • TCP ports 22: These ports allow SSH to Altus Director instance.
  • All traffic across all ports within the security group: This rule allows connectivity with all the components within the Hadoop cluster. This rule avoids numerous individual ports to be opened in the security group.
Type Protocol Port Range Source
SSH (22) TCP (6) 22 0.0.0.0/0
ALL Traffic ALL ALL security_group_id

See note paragraph below.

To connect to the AWS network, Cloudera recommends that you open only these ports and set up a SOCKS proxy. Unless your network has direct connection to AWS, you must set this up to access the Altus Director instance. This is done in a later step.

In a restricted network environment, you might want to enable minimal network traffic between instances and keep open ports to a minimum rather than enabling all network traffic between cluster instances. For information about minimal port requirements, see Ports Used by Altus Director.

Supported Browsers

Altus Director supports the following browsers:
  • Mozilla Firefox 11 and higher
  • Google Chrome
  • Internet Explorer 9 and higher
  • Safari 5 and higher